org.apache.lucene.facet

## Class FacetsConfig.DimConfig

- java.lang.Object
- - org.apache.lucene.facet.FacetsConfig.DimConfig

Enclosing class:
  FacetsConfig

    public static final class FacetsConfig.DimConfig
    extends Object

Holds the configuration for one dimension

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

Fields
`boolean` `hierarchical` True if this dimension is hierarchical.
`String` `indexFieldName` Actual field where this dimension's facet labels should be indexed
`boolean` `multiValued` True if this dimension is multi-valued.
`boolean` `requireDimCount` True if the count/aggregate for the entire dimension is required, which is unusual (default is false).
`boolean` `requireDimensionDrillDown` True if drilling down by a whole dimension, to match all documents that had any value for this dimension, is necessary (default is true)

### Constructor Summary

Constructors
Constructor and Description
`DimConfig()` Default constructor.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### hierarchical

    public boolean hierarchical

True if this dimension is hierarchical.

#### multiValued

    public boolean multiValued

True if this dimension is multi-valued.

#### requireDimCount

    public boolean requireDimCount

True if the count/aggregate for the entire dimension is required, which is unusual (default is false).

#### requireDimensionDrillDown

    public boolean requireDimensionDrillDown

True if drilling down by a whole dimension, to match all documents that had any value for this dimension, is necessary (default is true)

#### indexFieldName

    public String indexFieldName

Actual field where this dimension's facet labels should be indexed

### Constructor Detail

#### DimConfig

    public DimConfig()

Default constructor.